Get Parsing Job
GET/v1/parsing/jobs/{job_id}
Authorization
Authorizationstringrequired
Bearer token for API authentication. Format: `Bearer YOUR_API_KEY`
Path Parameters
job_idstringrequired
The ID of the parse job to retrieve
Response Body
idstringrequired
The ID of the job
file_idstringrequired
The ID of the file to parse
filenamestring
The name of the file
statusenumrequired
ParsingJobStatus
Possible values
pendingin_progresscancelledcompletedfailederrorobject
The error of the job
resultDocumentParserResult
The result of the job
started_atstring
The started time of the job
finished_atstring
The finished time of the job
created_atstring(date-time)
The creation time of the job
updated_atstring
The updated time of the job
objectstringdefault:
parsing_jobThe type of the object
Request
GET/v1/parsing/jobs/{job_id}
from mixedbread import Mixedbread
mxbai = Mixedbread(api_key="YOUR_API_KEY")
response = mxbai.parsing.jobs.retrieve(job_id="job_xyz789")
print(response)Response
JSON
{
"id": "job_xyz789",
"file_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "completed",
"error": null,
"result": {
"chunking_strategy": "page",
"return_format": "markdown",
"element_types": [
"text",
"title",
"image"
],
"chunks": [
{
"content": "# Document Title\\n\\nThis is the first paragraph of text...",
"content_to_embed": "Document Title. This is the first paragraph of text...",
"elements": [
{
"type": "title",
"confidence": 0.98,
"bbox": [
100,
50,
500,
80
],
"page": 1,
"content": "Document Title",
"summary": null
},
{
"type": "text",
"confidence": 0.95,
"bbox": [
100,
100,
500,
150
],
"page": 1,
"content": "This is the first paragraph of text.",
"summary": null
}
]
}
],
"page_sizes": [
[
612,
792
],
[
612,
792
]
]
},
"started_at": "2025-01-15T17:00:30.000Z",
"finished_at": "2025-01-15T17:01:00.000Z",
"created_at": "2025-01-15T17:00:00.000Z",
"updated_at": "2025-01-15T17:01:00.000Z",
"object": "parsing_job"
}Last updated: February 24, 2026